<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21225" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21207"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="BeVietnamPro-Regular.ttf">
            <string>BeVietnamPro-Regular</string>
        </array>
        <array key="Roboto-Medium.ttf">
            <string>Roboto-Medium</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <collectionViewCell opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" id="gTV-IL-0wX" customClass="CellCollectionViewFlashSale" customModule="_SK" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="161" height="234"/>
            <autoresizingMask key="autoresizingMask"/>
            <view key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center">
                <rect key="frame" x="0.0" y="0.0" width="161" height="234"/>
                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                <subviews>
                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Vo8-vk-mde">
                        <rect key="frame" x="0.0" y="0.0" width="161" height="234"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="sri-JD-HiY">
                                <rect key="frame" x="0.0" y="0.0" width="161" height="123.5"/>
                                <color key="backgroundColor" name="line_gray_01"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="sri-JD-HiY" secondAttribute="height" multiplier="164:126" id="HSE-vD-b3j"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                        <real key="value" value="12"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                            </imageView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="S63-sK-waw">
                                <rect key="frame" x="125" y="0.0" width="20" height="23"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_sale_product" translatesAutoresizingMaskIntoConstraints="NO" id="QZx-rR-3By">
                                        <rect key="frame" x="0.0" y="0.0" width="20" height="23"/>
                                        <constraints>
                                            <constraint firstAttribute="width" secondItem="QZx-rR-3By" secondAttribute="height" multiplier="20:23" id="79u-sF-qyN"/>
                                        </constraints>
                                    </imageView>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0%" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="rGd-6P-1vu">
                                        <rect key="frame" x="0.0" y="7.5" width="20" height="8.5"/>
                                        <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="7"/>
                                        <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <constraints>
                                    <constraint firstAttribute="bottom" secondItem="QZx-rR-3By" secondAttribute="bottom" id="0Zn-pG-ibO"/>
                                    <constraint firstItem="rGd-6P-1vu" firstAttribute="centerY" secondItem="S63-sK-waw" secondAttribute="centerY" id="1bg-XK-UIi"/>
                                    <constraint firstAttribute="trailing" secondItem="QZx-rR-3By" secondAttribute="trailing" id="EWm-4G-97G"/>
                                    <constraint firstItem="rGd-6P-1vu" firstAttribute="leading" secondItem="S63-sK-waw" secondAttribute="leading" id="Ei8-0H-peV"/>
                                    <constraint firstAttribute="trailing" secondItem="rGd-6P-1vu" secondAttribute="trailing" id="KDO-Hj-6GC"/>
                                    <constraint firstItem="QZx-rR-3By" firstAttribute="top" secondItem="S63-sK-waw" secondAttribute="top" id="mxX-sc-PRh"/>
                                    <constraint firstItem="QZx-rR-3By" firstAttribute="leading" secondItem="S63-sK-waw" secondAttribute="leading" id="rEG-Px-4vn"/>
                                </constraints>
                            </view>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label Label Label Label Label Label Label Label " textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="2" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="kck-aQ-ihX">
                                <rect key="frame" x="0.0" y="128.5" width="161" height="33"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="33" id="C5Q-qt-NAH"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="14"/>
                                <color key="textColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <stackView opaque="NO" contentMode="scaleToFill" distribution="fillEqually" spacing="3" translatesAutoresizingMaskIntoConstraints="NO" id="NWp-8C-IgH">
                                <rect key="frame" x="0.0" y="169.5" width="161" height="16.5"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="000.000đ" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="zyi-bG-58c">
                                        <rect key="frame" x="0.0" y="0.0" width="161" height="16.5"/>
                                        <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="14"/>
                                        <color key="textColor" name="mainColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                            </stackView>
                            <view contentMode="scaleToFill" ambiguous="YES" translatesAutoresizingMaskIntoConstraints="NO" id="0uF-dF-Zft" customClass="CosmosView" customModule="Cosmos">
                                <rect key="frame" x="0.0" y="191" width="70" height="11"/>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="11" id="5rS-aW-qj4"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="rating">
                                        <real key="value" value="3"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="number" keyPath="totalStars">
                                        <integer key="value" value="5"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="number" keyPath="starSize">
                                        <real key="value" value="10"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="image" keyPath="emptyImage" value="ic_star_empty_product"/>
                                    <userDefinedRuntimeAttribute type="image" keyPath="filledImage" value="ic_star_filled_product"/>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="updateOnTouch" value="NO"/>
                                </userDefinedRuntimeAttributes>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="chm-Cz-kFO">
                                <rect key="frame" x="0.0" y="212" width="161" height="14"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="SKi-af-zyP">
                                        <rect key="frame" x="0.0" y="0.0" width="50" height="14"/>
                                        <color key="backgroundColor" red="1" green="0.21454000470000001" blue="0.15807771679999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="50" id="ht7-g1-sMW"/>
                                        </constraints>
                                    </view>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Đã bán 50" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="cQ2-qX-LK4">
                                        <rect key="frame" x="55" y="0.5" width="51.5" height="13"/>
                                        <fontDescription key="fontDescription" name="BeVietnamPro-Regular" family="Be Vietnam Pro" pointSize="10"/>
                                        <color key="textColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" red="1" green="0.74948841330000004" blue="0.57243537899999997" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstItem="cQ2-qX-LK4" firstAttribute="centerY" secondItem="chm-Cz-kFO" secondAttribute="centerY" id="5x9-Ja-6hO"/>
                                    <constraint firstItem="SKi-af-zyP" firstAttribute="leading" secondItem="chm-Cz-kFO" secondAttribute="leading" id="Doy-8E-d9K"/>
                                    <constraint firstAttribute="bottom" secondItem="SKi-af-zyP" secondAttribute="bottom" id="bxC-Ed-B3c"/>
                                    <constraint firstAttribute="height" constant="14" id="ej3-qK-o5p"/>
                                    <constraint firstItem="cQ2-qX-LK4" firstAttribute="centerX" secondItem="chm-Cz-kFO" secondAttribute="centerX" id="tJc-hf-7AN"/>
                                    <constraint firstItem="SKi-af-zyP" firstAttribute="top" secondItem="chm-Cz-kFO" secondAttribute="top" id="xVB-qV-qps"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                        <real key="value" value="7"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                            </view>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="sri-JD-HiY" firstAttribute="leading" secondItem="Vo8-vk-mde" secondAttribute="leading" id="4Uz-dc-tdH"/>
                            <constraint firstAttribute="trailing" secondItem="S63-sK-waw" secondAttribute="trailing" constant="16" id="6xd-ZB-s4n"/>
                            <constraint firstAttribute="trailing" secondItem="kck-aQ-ihX" secondAttribute="trailing" id="76y-RB-g1I"/>
                            <constraint firstItem="0uF-dF-Zft" firstAttribute="top" secondItem="NWp-8C-IgH" secondAttribute="bottom" constant="5" id="CeX-Qr-Hf3"/>
                            <constraint firstAttribute="trailing" secondItem="sri-JD-HiY" secondAttribute="trailing" id="D2I-c7-x7z"/>
                            <constraint firstAttribute="trailing" secondItem="NWp-8C-IgH" secondAttribute="trailing" id="DUH-oB-OB8"/>
                            <constraint firstItem="chm-Cz-kFO" firstAttribute="leading" secondItem="Vo8-vk-mde" secondAttribute="leading" id="GQU-29-g33"/>
                            <constraint firstItem="NWp-8C-IgH" firstAttribute="leading" secondItem="Vo8-vk-mde" secondAttribute="leading" id="Im0-8H-tk2"/>
                            <constraint firstItem="NWp-8C-IgH" firstAttribute="top" secondItem="kck-aQ-ihX" secondAttribute="bottom" constant="8" id="JNt-F2-7cd"/>
                            <constraint firstItem="kck-aQ-ihX" firstAttribute="leading" secondItem="Vo8-vk-mde" secondAttribute="leading" id="JYq-C9-1YV"/>
                            <constraint firstAttribute="trailing" secondItem="chm-Cz-kFO" secondAttribute="trailing" id="NgJ-fc-Vok"/>
                            <constraint firstItem="S63-sK-waw" firstAttribute="top" secondItem="Vo8-vk-mde" secondAttribute="top" id="PIg-Ia-4U9"/>
                            <constraint firstItem="sri-JD-HiY" firstAttribute="top" secondItem="Vo8-vk-mde" secondAttribute="top" id="TgS-e1-2Gv"/>
                            <constraint firstItem="chm-Cz-kFO" firstAttribute="top" secondItem="0uF-dF-Zft" secondAttribute="bottom" constant="10" id="j7Q-7j-CMf"/>
                            <constraint firstItem="0uF-dF-Zft" firstAttribute="leading" secondItem="Vo8-vk-mde" secondAttribute="leading" id="mIu-7e-G8u"/>
                            <constraint firstItem="kck-aQ-ihX" firstAttribute="top" secondItem="sri-JD-HiY" secondAttribute="bottom" constant="5" id="nop-pX-IV8"/>
                        </constraints>
                    </view>
                </subviews>
            </view>
            <viewLayoutGuide key="safeArea" id="ZTg-uK-7eu"/>
            <constraints>
                <constraint firstAttribute="trailing" secondItem="Vo8-vk-mde" secondAttribute="trailing" id="3CD-Om-v0n"/>
                <constraint firstItem="Vo8-vk-mde" firstAttribute="top" secondItem="gTV-IL-0wX" secondAttribute="top" id="9r2-cU-AMv"/>
                <constraint firstAttribute="bottom" secondItem="Vo8-vk-mde" secondAttribute="bottom" id="D0T-FY-iVl"/>
                <constraint firstItem="Vo8-vk-mde" firstAttribute="leading" secondItem="gTV-IL-0wX" secondAttribute="leading" id="QEo-oD-Yed"/>
            </constraints>
            <size key="customSize" width="161" height="234"/>
            <connections>
                <outlet property="contraint_soldWidth" destination="ht7-g1-sMW" id="q2O-zb-bP0"/>
                <outlet property="img_ProductThumb" destination="sri-JD-HiY" id="WRD-kX-Qcn"/>
                <outlet property="lbl_Prices" destination="zyi-bG-58c" id="B1b-HA-PZa"/>
                <outlet property="lbl_ProductsName" destination="kck-aQ-ihX" id="svz-Bt-jtl"/>
                <outlet property="lbl_SalePercent" destination="rGd-6P-1vu" id="ogf-Tp-yh7"/>
                <outlet property="lbl_SaledCount" destination="cQ2-qX-LK4" id="Uny-0s-9Xp"/>
                <outlet property="view_PercentShowOut" destination="chm-Cz-kFO" id="Qmm-qp-H5M"/>
                <outlet property="view_StarRate" destination="0uF-dF-Zft" id="uoq-Y4-tb0"/>
            </connections>
            <point key="canvasLocation" x="-960" y="-110"/>
        </collectionViewCell>
    </objects>
    <resources>
        <image name="ic_sale_product" width="20" height="23"/>
        <image name="ic_star_empty_product" width="8" height="8"/>
        <image name="ic_star_filled_product" width="8" height="8"/>
        <namedColor name="line_gray_01">
            <color red="0.92941176470588238" green="0.94117647058823528" blue="0.94901960784313721" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="mainColor">
            <color red="0.0" green="0.76078431372549016" blue="0.77254901960784317" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
